Bug 860313 - Please replace Rodent with a current and maintained theme.
Please replace Rodent with a current and maintained theme.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xfce4-icon-theme (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 10:44 EDT by Sergio
Modified: 2013-12-21 19:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 19:53:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio 2012-09-25 10:44:30 EDT
Description of problem: Rodent icon theme is unmaintained, looks quite inconsistent (it inherits Mist and 'gnome' and adds some icons on top) and doesn't supply what Xfce 4.10 needs (namely 'system-suspend' and 'system-hibernate' icons).
Xfce4-icon-theme could therefore ship elementary-xfce instead ( https://github.com/shimmerproject/elementary-xfce/downloads ) which doesn't have none of the aforementioned issues.

Version-Release number of selected component (if applicable): 4.4.3-7.fc18 and earlier.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sergio 2012-09-25 10:46:46 EDT
Ops, sorry. I see it's an upstream bug. I'll file it at xfce.bugzilla.org
Comment 2 Sergio 2012-09-25 10:57:38 EDT
I opened https://bugzilla.xfce.org/show_bug.cgi?id=9330 but since no package requires xfce4-icon-theme in Fedora then maybe the best thing to do would be to package elementary-xfce and use it in the Xfce spin.
It's just less bureaucracy for everyone involved.
Comment 3 Christoph Wickert 2012-09-26 14:40:01 EDT
I wonder what exactly do you expect us to do. We are not using the Rodent icon theme by default, we are using the Fedora icon theme which is basically Mist plus Fedora icons.
Comment 4 Christoph Wickert 2012-09-26 15:34:57 EDT
Kevin, should we downgrade xfce4-icon-theme from "default" to "optional" in comps?
Comment 5 Sergio 2012-09-26 16:09:18 EDT
Hi Christoph, sorry for this bug report. As you can see from the second post it's an upstream issue and even there it's questionable if there should still be an xfce4-icon-theme.

But the F18 spin is actually set to use Rodent. Only it doesn't show up (gnome theme does) because there's an issue with the desktop theming.
I didn't look at it if it's because of the way some things are setting themes system-wide or if it's just an issue of the Xfce settings not being applied.
Comment 6 Christoph Wickert 2012-09-26 16:46:17 EDT
If the F18 spin uses rodent, this is actually a but. It should use Fedora, see
http://pkgs.fedoraproject.org/cgit/xfce4-settings.git/tree/xfce4-settings-4.9.4-fedora.patch
Comment 7 Christoph Wickert 2012-09-26 16:46:31 EDT
s/but/bug
Comment 8 Kevin Fenzi 2013-02-02 22:16:32 EST
Sure, we could downgrade xfce4-icon-theme in comps... fine with me.
Comment 9 Christopher Meng 2013-10-28 04:21:38 EDT
Maybe we can close it now?
Comment 10 Fedora End Of Life 2013-12-21 10:06:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.